libzypp 17.37.10

zypp::CompositeFileChecker Class Reference

Checker composed of more checkers. More...

`#include <zypp/FileChecker.h>`

## Public Member Functions
void | add (const FileChecker &checker)
void | operator() (const Pathname &file) const
int | checkersSize () const

## Private Attributes
std::list< FileChecker > | _checkers

## Detailed Description

Checker composed of more checkers.

Allows to create a checker composed of various checkers altothether. It will only validate if all the checkers validate.

CompositeFileChecker com;
com.add(checker1);
com.add(checker2);
fetcher.enqueue(location, com);
zypp::CompositeFileChecker
Checker composed of more checkers.
Definition FileChecker.h:136
zypp::CompositeFileChecker::add
void add(const FileChecker &checker)
Definition FileChecker.cc:67

Definition at line 135 of file FileChecker.h.

## Member Function Documentation

## ◆ add()

void zypp::CompositeFileChecker::add | ( | const FileChecker & | checker | ) |

Definition at line 67 of file FileChecker.cc.

## ◆ operator()()

void zypp::CompositeFileChecker::operator() | ( | const Pathname & | file | ) | const

Exceptions

  FileCheckException | if validation fails

Definition at line 50 of file FileChecker.cc.

## ◆ checkersSize()

int zypp::CompositeFileChecker::checkersSize | ( |  | ) | const
| inline

Definition at line 144 of file FileChecker.h.

## Member Data Documentation

## ◆ _checkers

std::list<FileChecker> zypp::CompositeFileChecker::_checkers
| private

Definition at line 146 of file FileChecker.h.

The documentation for this class was generated from the following files:

- zypp/FileChecker.h
- zypp/FileChecker.cc